Author Ma Lin
Recipients Dandan Lee, Ma Lin, bkline, dstufft, martin.panter, ncoghlan, zach.ware
Date 2018-07-08.06:33:02
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1531031582.38.0.56676864532.issue31652@psf.upfronthosting.co.za>
In-reply-to
Content
> I expect that the root cause is missing libffi(-dev[el]) on your system

Yes, on my Ubuntu 18.04, `make` failed to compile _ctypes module.
After install libffi-dev, it was compiled successfully:

One more word, full necessary dependencies on my Ubuntu 18.04:
sudo apt-get install build-essential libsqlite3-dev sqlite3 bzip2 libbz2-dev zlib1g-dev libssl-dev openssl libgdbm-dev libgdbm-compat-dev liblzma-dev libreadline-dev libncursesw5-dev libffi-dev uuid-dev
History
Date User Action Args
2018-07-08 06:33:02Ma Linsetrecipients: + Ma Lin, ncoghlan, bkline, martin.panter, zach.ware, dstufft, Dandan Lee
2018-07-08 06:33:02Ma Linsetmessageid: <1531031582.38.0.56676864532.issue31652@psf.upfronthosting.co.za>
2018-07-08 06:33:02Ma Linlinkissue31652 messages
2018-07-08 06:33:02Ma Lincreate